This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1470563 - sapconf does not identify EUS SAP channel a s a SAP channel
sapconf does not identify EUS SAP channel a s a SAP channel
Status: ON_QA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sapconf (Show other bugs)
7.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ngo Than
cluster-qe@redhat.com
:
Depends On:
Blocks: 1018952
  Show dependency treegraph
 
Reported: 2017-07-13 04:29 EDT by Jamel Abiadh
Modified: 2017-10-20 09:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.98-12
Doc Type: Bug Fix
Doc Text:
Cause: the current sapconf does not check the EUS SAP channel Consequence: it does not identify EUS SAP channel as a SAP channel Fix: the new sapconf now has a check for the EUS SAP channel Result: it identifies EUS SAP channel as a SAP channel correctly
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix the issue by adding the eus channel to the egrep (690 bytes, patch)
2017-07-13 05:00 EDT, Jamel Abiadh
no flags Details | Diff

  None (edit)
Description Jamel Abiadh 2017-07-13 04:29:41 EDT
Description of problem:

"RHEL system not subscribed to RHEL for SAP channel" despite the system is subscribed to rhel-sap-for-rhel-7-server-eus-rpms


Version-Release number of selected component (if applicable):

0.98

How reproducible:
Every time

Steps to Reproduce:
1. Subscribe system to rhel-sap-for-rhel-7-server-eus-rpms
2. sun sapconf (optionally with -n)

Actual results:

###### System Checked. See RECOMMENDATIONS    ######

######         RECOMMENDATIONS                ######
##  Below are recommended settings that can not   ##
##  Be carried out by the sapconf script          ##
##  Please check and set them manually            ##
## ---------------------------------------------- ##

1: RHEL system not subscribed to RHEL for SAP channel

2: Red Hat recommends to get RHEL for SAP Business Applications subscriptions for all RHEL servers running SAP applications. See SAP Note 1631106



Expected results:

Understand that the system is subscribed to an Extended Update Support channel and not complain 


Output of # yum repolist

Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager
repo id                                     repo name                                                           status
rhel-7-server-eus-optional-rpms/x86_64      Red Hat Enterprise Linux 7 Server - Extended Update Support - Optio  9,072
rhel-7-server-eus-rh-common-rpms/x86_64     Red Hat Enterprise Linux 7 Server - Extended Update Support - RH Co      0
rhel-7-server-eus-rpms/x86_64               Red Hat Enterprise Linux 7 Server - Extended Update Support (RPMs)  11,846
rhel-7-server-eus-supplementary-rpms/x86_64 Red Hat Enterprise Linux 7 Server - Extended Update Support - Suppl    188
rhel-sap-for-rhel-7-server-eus-rpms/x86_64  RHEL for SAP (for RHEL 7 Server) Extended Update Support (RPMs)         46
repolist: 21,152
Comment 3 Jamel Abiadh 2017-07-13 05:00 EDT
Created attachment 1297455 [details]
fix the issue by adding the eus channel to the egrep

Note You need to log in before you can comment on or make changes to this bug.